shithub: sox

Download patch

ref: 8ce8649604f903ad48951be7921a0ee3650c80b8
parent: 0654c341826c8290cd14fbe2909fd562f208248a
author: robs <robs>
date: Sun Apr 22 05:55:26 EDT 2007

add sample conversion unit tests to tests.sh

--- a/src/sox_sample_test.c
+++ b/src/sox_sample_test.c
@@ -169,9 +169,5 @@
   sample = SOX_FLOAT_64BIT_TO_SAMPLE(d, clips);
   assert(sample == SOX_SAMPLE_MAX && --clips == 0);
 
-  {
-    enum {MEANT_TO_FAIL};
-    assert(MEANT_TO_FAIL);
-  }
   return 0;
 }
--- a/src/tests.sh
+++ b/src/tests.sh
@@ -141,6 +141,9 @@
 
 # Run tests
 
+make sox_sample_test
+./sox_sample_test || exit 1
+
 grep -q "^#define HAVE_LIBFLAC" soxconfig.h || skip="flac $skip"
 grep -q "^#define HAVE_LIBOGG" soxconfig.h || skip="ogg $skip"
 grep -q "^#define HAVE_SNDFILE_H" soxconfig.h || skip="caf $skip"